Aria: ArActionJoydrive Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArActionJoydrive Class Reference

`#include <ArActionJoydrive.h>`

Inheritance diagram for ArActionJoydrive:

List of all members.

## Detailed Description

This action will use the joystick for input to drive the robot.

This class creates its own ArJoyHandler to get input from the joystick. Then it will scale the speed between 0 and the given max for velocity and turning, up and down on the joystick go forwards/backwards while right and left go right and left. You must press in one of the two joystick buttons for the class to pay attention to the joystick.

Note:
  The joystick does not save calibration information, so you must calibrate the joystick before each time you use it. To do this, press the button for at least a half a second while the joystick is in the middle. Then let go of the button and hold the joystick in the upper left for at least a half second and then in the lower right corner for at least a half second.

## Public Member Functions
| ArActionJoydrive (const char *name="joydrive", double transVelMax=400, double turnAmountMax=15, bool stopIfNoButtonPressed=true, bool useOSCalForJoystick=true)
| Constructor.
virtual ArActionDesired * | fire (ArActionDesired currentDesired)
virtual const ArActionDesired * | getDesired (void) const
virtual ArActionDesired * | getDesired (void)
ArJoyHandler * | getJoyHandler (void)
| Gets the joyHandler.
bool | getStopIfNoButtonPressed (void)
| Get if we'll stop if no button is pressed, otherwise just do nothing.
bool | getUseOSCal (void)
| Gets whether OSCalibration is being used for the joystick or not.
bool | joystickInited (void)
| Whether the joystick is initalized or not.
void | setSpeeds (double transVelMax, double turnAmountMax)
| Set Speeds.
void | setStopIfNoButtonPressed (bool stopIfNoButtonPressed)
| Set if we'll stop if no button is pressed, otherwise just do nothing.
void | setThrottleParams (double lowSpeed, double highSpeed)
| Sets the params on the throttle (throttle unused unless you call this).
void | setUseOSCal (bool useOSCal)
| Sets whether to use OSCalibration the joystick or not.
virtual | ~ArActionJoydrive ()
| Destructor.
## Protected Attributes
ArActionDesired | myDesired
double | myHighThrottle
ArJoyHandler * | myJoyHandler
double | myLowThrottle
bool | myPreviousUseOSCal
bool | myStopIfNoButtonPressed
double | myTransVelMax
double | myTurnAmountMax
bool | myUseOSCal
bool | myUseThrottle

The documentation for this class was generated from the following file:

- ArActionJoydrive.h